//////////////////////////////////////////
// ResourceList.h
// Copyright (c) 08/11/2024 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResResourceList.h"
//CRESLISTクラスヘッダー
#include	"CRESLIST.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCSDIクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CSDI
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CSDI(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnOpen();
	bool OnSave();
	bool OnExit();
	bool OnVersion();
	//ウィンドウメッセージ関連
	bool OnCreate(WPARAM, LPARAM);
	bool OnNotify(WPARAM, LPARAM);
	bool OnSize(WPARAM, LPARAM);
	bool OnClose(WPARAM, LPARAM);
	bool OnDropFiles(WPARAM, LPARAM);
	bool OnMinMax(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd ResourceList("ResourceList");	//ウィンドウクラスインスタンスの生成

BEGIN_SDIMSG(ResourceList)	//ダイアログと違い、コールバック関数名を特定しない
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(ResourceList, IDM_OPEN, OnOpen())
	ON_COMMAND(ResourceList, IDM_SAVE, OnSave())
	ON_COMMAND(ResourceList, IDM_EXIT, OnExit())
	ON_COMMAND(ResourceList, IDM_VERSION, OnVersion())
	//ウィンドウメッセージ関連
	ON_CREATE(ResourceList)
	ON_NOTIFY(ResourceList)
	ON_SIZE(ResourceList)
	ON_CLOSE(ResourceList)
	ON_(ResourceList, WM_DROPFILES, OnDropFiles(wParam, lParam))
	ON_(ResourceList, WM_GETMINMAXINFO, OnMinMax(wParam, lParam))
END_WNDMSG

///////////////////////////////////////////
// CDLGクラスからVERSIONDLGクラスを派生
// 複数の同一ダイアログ変数とダイアログも作
// れるが、一つのダイアログに一つの派生ダイ
// アログクラスを作成するのが基本
///////////////////////////////////////////
class VERSIONDLG : public CDLG {
public:
	bool OnIdok();
};

////////////////////////////////////////////////////////////////////////////
// VERSIONDLGクラスダイアログ変数の生成とそのコールバック関数（マクロ）を定義
// 複数同一クラスのダイアログを作成することを予期してコールバック関数を明記
////////////////////////////////////////////////////////////////////////////
VERSIONDLG versiondlg;

BEGIN_MODALDLGMSG(versiondlgProc, versiondlg)	//第1引数がコールバック関数の名前
	ON_COMMAND(versiondlg, IDOK, OnIdok())
END_DLGMSG

///////////////////
//ツールバーの作成
///////////////////
CTBAR TBar;

///////////////////////
//ステータスバーの作成
///////////////////////
CSBAR SBar;

///////////////////
//Editコントロール
///////////////////
#define	IDC_EDIT	1000
CCTRL Edit;

////////////////////////
//コモンダイアログの作成
////////////////////////
CMNDLG cmndlg;

/////////////////////////////
//コマンドラインクラスの作成
/////////////////////////////
CARG Arg;

/////////////////////////////
//リソースリストクラスの作成
/////////////////////////////
CRESLIST ResList;

//---------------
//グローバル変数
//---------------
bool g_ByFile = FALSE;		//ファイル起動用変数
CSTR g_FileName;			//ファイル名用文字列
